# Package org.jboss.netty.handler.codec.compression

Encoder and decoder which compresses and decompresses `ChannelBuffer`s in a compression format such as zlib and gzip.

See: Description

Class Summary
Class | Description
--- | ---
JdkZlibEncoder | Compresses a `ChannelBuffer` using the deflate algorithm.
ZlibDecoder | Decompresses a `ChannelBuffer` using the deflate algorithm.
ZlibEncoder | Compresses a `ChannelBuffer` using the deflate algorithm.

Enum Summary
Enum | Description
--- | ---
ZlibWrapper | The container file formats that wrap the stream compressed by the DEFLATE algorithm.

Exception Summary
Exception | Description
--- | ---
CompressionException | An `IOException` that is raised when compression or decompression failed.

## Package org.jboss.netty.handler.codec.compression Description

Encoder and decoder which compresses and decompresses `ChannelBuffer`s in a compression format such as zlib and gzip.